Subject: Ticket Assigned - Re: order no 8183174532
From: Home Centre UAE <[email-masked]>
To: [email-masked]
Date: Thu, 15 Sep 2022 16:19:26 +0000

Hi Mohammed Murshed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Re: order no 8183174532 Hello still did not receive my refund... is it possible all this time

On Sun, 28 Aug 2022, 14:20 Psy. Suha Faraj, <[email-masked]> wrote:

> according to my above order number , I did order on 22 Aug 2 items the
> next day I was surprised that you cancel one order from your side with
> promising refund till now I did not receive any refund,
>
> in- addition I call the call center many times no action kept me on hold.
>

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4837690